**********************************************************
*
* Version mqe_java/source/resources/Windows/Central.tst, MQe, la200, la200-L030324.1 1.2
*
**********************************************************
*
* MQSeries Everyplace for Multiplatforms                
*                                                                          
* Licensed Materials - Property of IBM                                     
*                                                                          
* 5765-E63                                                                 
*                                                                          
* (C) Copyright IBM Corp. 2001                                             
* 
**********************************************************
*
* File name : 'Central.tst'
*
* Used to define the MQ Series objects required to
* communicate to the gateway queue manager,
* its queues and other MQe queue managers it knows about.
*
* Note : This is an example file. You may have to edit it
* to ensure that your naming conventions for MQ Series
* objects are followed, and tailor it to your
* specific requirements.
*
**********************************************************
*
* Create the sales queue in which the branches will deposit
* their tricled sales information.
*
DEFINE QLOCAL('BRANCH.SALES.QUEUE') +
    DEFPSIST(YES) +
    DEFSOPT(SHARED) +
    GET(ENABLED) +
    SHARE +
    USAGE(NORMAL) +
    PUT(ENABLED) +
    REPLACE
*
**********************************************************
*
* Define the transmission queue used to dispatch
* messages to each of the gateway queue managers.
* MQe queue manager.
* Note: This transmission queue does NOT require a
* channel.
* The queue is consumed by a 'transmission queue listener'
* controlled by the MQ bridge software on the MQe server
*
* Having only one 'transmission queue listener' transferring
* messages from MQ to MQe may prove to be a performance
* bottleneck. If it is, we recommend you create more
* transmission queues on MQ, and more listeners on the
* MQ bridge to distribute the traffic evenly.
*
**********************************************************
*
DEFINE QLOCAL('TO.GATEWAY00QM') +
    USAGE(XMITQ) +
    DEFSOPT(EXCL) +
    REPLACE
*    
**********************************************************
*
* Define the queue managers which the MQ queue manager
* knows about.
* Each queue manager is defined on the MQ system with a
* remote queue manager alias definition.
* All such remote queue manager aliases from the wizard
* route traffic through the same transmission queue, though
* you may wish to change this to use multiple transmission queues
* to improve overall throughput.
*
* Currently, all traffic to teams are routed through gateway00
*
**********************************************************
*
* The queue manager 'BRANCH000QM' can be reached by passing message traffic
* to MQe queue manager 'HomebaseGateway01QM'
DEFINE QREMOTE('BRANCH000QM') +
    RQMNAME('BRANCH000QM') +
    PUT(ENABLED) +
    XMITQ('TO.GATEWAY00QM') +
    REPLACE
*    
DEFINE QREMOTE('BRANCH001QM') +
    RQMNAME('BRANCH001QM') +
    PUT(ENABLED) +
    XMITQ('TO.GATEWAY00QM') +
    REPLACE
*    
*
DEFINE QREMOTE('BRANCH002QM') +
    RQMNAME('BRANCH002QM') +
    PUT(ENABLED) +
    XMITQ('TO.GATEWAY00QM') +
    REPLACE
*    
**********************************************************
*
* Define a server connection channel, to allow the MQe
* bridges to connect to the MQ queue manager using the
* java client, or java bindings.
*
**********************************************************
DEFINE CHANNEL('FOR.GATEWAY00QM') +
    CHLTYPE(SVRCONN) +
    REPLACE
*    
*
**********************************************************
*
* Define a sync queue for each server connection channel
* that the MQ Bridge will use.
* This example only defines one server connection channel
* so we only define one sync queue as a result
* A sync queue in this context is a persistant store
* of messages used to allow the MQ Bridge to restore the correct
* state of all messages following a system failure.
*
**********************************************************
DEFINE QLOCAL('SYNC.Q.GATEWAY00QM') +
    DEFPSIST(YES) +
    DEFSOPT(SHARED) +
    GET(ENABLED) +
    SHARE +
    USAGE(NORMAL) +
    PUT(ENABLED) +
    REPLACE
*    
