@Rem
@Rem   Sets up the Java environment (CLASSPATH and PATH)
@Rem   for MQSeries Everyplace to use.
@Rem
@Rem   This is an example batch file that must be updated to match the Java
@Rem   environment of the machine on which it is to run.
@Rem
@Rem   Parameters:
@Rem   %1  The type of Java Development Kit to use:
@Rem       Possible options are:
@Rem       - SUN     Sun
@Rem       - JB      JBuilder
@Rem       - MS      Microsoft
@Rem       - IBM     IBM
@Rem       Defaults to IBM
@Rem

@Rem Firstly, set up some variables that are specific to the JVM
@Rem that will be used. From this we can derive where to find
@Rem the Java Executables and the base classes.

        @IF  .%1 == .SUN    GOTO SUN
        @IF  .%1 == .JB     GOTO JB
        @IF  .%1 == .MS     GOTO MS
        @IF  .%1 == .IBM    GOTO IBM

@Rem   IBM JDK
:IBM
        Set JDK=c:\IBM\jdk1.1.8
        set JavaCmd=java
        @GOTO Path


@Rem   Microsoft Java (This doesn't require PATH to be set up.)
:MS
        Set JDK=
        set JavaCmd=jview /p
        @GOTO Common


@Rem   SUN JDK
:SUN
        Set JDK=C:\SUN\jdk117b
        set JavaCmd=java
        @GOTO Path


@Rem   Borland Jbuilder
:JB
        Set JDK=C:\Program Files\Borland\JBuilder2\Java
        set JavaCmd=java
        @GOTO Path


:Path
@Rem
@Rem   Set up the path to include the Java executables.
@Rem   This PATH should be modified to suit your
@Rem   environment. Note that it overrides any
@Rem   existing PATH.
@Rem
        Set PATH=%JDK%\bin;%PATH%
        

:Common

@rem  Set an environment variable indicating where MQe is installed.
@Rem  This should be modified to suit your installation.
        set MQE_BASE_DIR=C:\Program Files\MQe
        

@Rem   Define the CLASSPATH to be used. MQe needs to find the following components...
@Rem   1) MQSeries Everyplace
        set CLASSPATH=%MQE_BASE_DIR%\java;..\..

@Rem   2) The Base JVM Classes (This is not required on later (>1.2) JVMs.
        set CLASSPATH=%CLASSPATH%;%JDK%\lib\classes.zip
        

@Rem --------------------------------------------------------------------------------------        
@Rem Everything below this line is for setting up your environment for the MQSeries Bridge.


@Rem  Set up the name of the MQ Series directory.
@Rem  This should be modified to suit your installation.
        set MQDIR=C:\Program Files\IBM\MQSeries


@Rem   If you wish to use the MQSeries Bridge then the CLASSPATH also needs to know
@Rem   3) How to get to the MQSeries Java Client.

        if Exist "%MQDIR%\java\lib"                      set CLASSPATH=%CLASSPATH%;%MQDIR%\java\lib;
        if Exist "%MQDIR%\java\lib\com.ibm.mq.jar"       set CLASSPATH=%CLASSPATH%;%MQDIR%\java\lib\com.ibm.mq.jar
        if Exist "%MQDIR%\java\lib\com.ibm.mqbind.jar"   set CLASSPATH=%CLASSPATH%;%MQDIR%\java\lib\com.ibm.mqbind.jar
        if Exist "%MQDIR%\java\lib\com.ibm.mq.iiop.jar"  set CLASSPATH=%CLASSPATH%;%MQDIR%\java\lib\com.ibm.mq.iiop.jar
        if Exist "%MQDIR%\java\lib\jta.jar"              set CLASSPATH=%CLASSPATH%;%MQDIR%\java\lib\jta.jar
        if Exist "%MQDIR%\java\lib\jndi.jar"             set CLASSPATH=%CLASSPATH%;%MQDIR%\java\lib\jndi.jar
        if Exist "%MQDIR%\java\lib\jms.jar"              set CLASSPATH=%CLASSPATH%;%MQDIR%\java\lib\jms.jar
        if Exist "%MQDIR%\java\lib\com.ibm.mqjms.jar"    set CLASSPATH=%CLASSPATH%;%MQDIR%\java\lib\com.ibm.mqjms.jar
        if Exist "%MQDIR%\java\lib\connector.jar"        set CLASSPATH=%CLASSPATH%;%MQDIR%\java\lib\connector.jar
        if Exist "%MQDIR%\java\lib\fscontext.jar"        set CLASSPATH=%CLASSPATH%;%MQDIR%\java\lib\fscontext.jar
        if Exist "%MQDIR%\java\lib\ldap.jar"             set CLASSPATH=%CLASSPATH%;%MQDIR%\java\lib\ldap.jar

        
@Rem   The MQSeries Bridge also requires access to the MQSeries Executables.        
        if Exist "%MQDIR%\java\lib" set PATH=%PATH%;%MQDIR%\java\lib
        if Exist "%MQDIR%\bin"      set PATH=%PATH%;%MQDIR%\bin;




:END

