// Version mqe_java/source/examples/install/ConfigResource.java, MQeExamples, la200, la200-L030324.1 1.7

/* -----------------------------------------------------------------------------*/

/*                    WebSphere MQ Everyplace for Multiplatforms                */

/*                                                                              */

/* Licensed Materials - Property of IBM                                         */

/*                                                                              */

/* 5765-E63                                                                     */

/*                                                                              */

/* (C) Copyright IBM Corp. 1999                                                 */

/* -----------------------------------------------------------------------------*/
package examples.install;


/*
 *                                                                              
 *  <p>Resource Strings for the Install (Define, Create, Delete                
 *  Queue Manager) Examples.                                                
 *                                                                              
 *  <p>There is a relatively small number of strings in these examples, so     
 *  they are all included in the one ResourceBundle.                        
 *                                                                              
 *                                                                              
 */
public class ConfigResource extends java.util.ListResourceBundle {

    /*----------------------------------------------------------------------------*/
    
    /*                                                                            */
    
    /*----------------------------------------------------------------------------*/
    public        static short   version[] = { 2, 0, 0, 5 }; 

    static final Object[][] contents = {

            // common messages
            {  "browse", "Browse"                                        },
            {  "cancelButton", "Cancel"                                        },
            {  "configFile", "Configuration File"                            },
            {  "confirm", "Confirm "                                      },
            {  "confirmQM", "Confirm Queue Manager Details"                 },
            {  "created", "created"                                       },
            {  "error", "Error"                                         },
            {  "noFile", "Must specify a MQe configuration (.ini) file." },
            {  "noPRPin", "Must enter a Private Registry PIN"             },
            {  "notConfigFile", "is not a valid MQe configuration file, or does not exist" },
            {  "okButton", "OK"                                            },
            {  "qMgr", "Queue Manager"                                 },
            {  "qMgrName", "Queue Manager Name"                            },
            {  "queueDir", "Directory for the Queues"                      },
            {  "prPinLbl", "Private Registry PIN"                          },
            {  "regDir", "Directory for Registry"                        },
            {  "selectCF", "Select configuration file"                     },

            // Config Utils
            {  "negativePort", "Negative port number"                          },
            {  "noDir", "Cannot create directory"                       },
            {  "nonNumPort", "Non-numeric port number"                       },
            {  "noPort", "Empty port number"                             },

            // Simple Create Queue Manager
            {  "errCreatingQM", "Error creating Queue Manager"                  },
            {  "qmDescription", "Queue Manager entry for "                      },

            // Create Queue Manager
            {  "createTitle", "MQe Create Queue Manager"                      },

            // Simple Delete Queue Manager
            {  "errDeletingQM", "Error deleting Queue Manager"                  },

            // Delete Queue Manager
            {  "deleted", "deleted"                                       },
            {  "deleteLbl", "Delete Configuration File"                     },
            {  "deleteTitle", "MQe Delete Queue Manager"                      },
            {  "configDel1", "Configuration file WILL be deleted."           },
            {  "configDel2", "Configuration file will not be deleted."       },

            // Define Queue Manager
            {  "badKRPconfirm",
                "Confirm Password does not match Key Ring Password"             },
            {  "badPINconfirm",
                "Confirm PIN does not match Private Registry PIN"               },
            {  "baseDirLbl", "Base Directory for configuration (.ini) file"  },
            {  "bridgeLbl", "MQ Bridge"                                     },
            {  "clientLbl", "Client"                                        },
            {  "client", "client"                                        },
            {  "config", "Configuration"                                 },
            {  "confirmKrp", "Must confirm the Key Ring Password"            },
            {  "confirmPRPIN", "Must confirm the Private Registry PIN"         },
            {  "defineError", "Error defining Queue Manager"                  },
            {  "defineTitle", "MQe Define Queue Manager"                      },
            {  "enterForListPort", " entered for  Channel Listener Port"           },
            {  "enterQMdet", "Enter Queue Manager Details"                   },
            {  "exists", "already exists"                                },
            {  "getCred",
                "Do you wish to obtain Credentials for the Private Registry"    },
            {  "invQMName", "Queue Manager Name is invalid"                 },
            {  "listenPortLbl", "Channel Listener Port"                         },
            {  "noBaseDir", "Must enter a Base Directory for the .ini file" },
            {  "noKrp", "Must enter a Key Ring Password"                },
            {  "noListPort", "Must enter a Channel Listener Port number"     },
            {  "noQMName", "Must enter a Queue Manager Name"               },
            {  "noQueueDir", "Must enter a Directory for the Queues"         },
            {  "noRegDir", "Must enter a Directory for the Registry"       },
            {  "notRequired", "not required"                                  },
            {  "nowLater", "now (OK) or later (Cancel) ?"                  },
            {  "privRegLbl", "Private Registry"                              },
            {  "privRegWarn", "  -  NOTE: Security-related information for" +
                "\r\n    the Private Registry will be" +
                " written to the configuration (.ini) file."  },
            {  "prKrpLbl", "Key Ring Password"                             },
            {  "regSepLbl", "Registry Separator Character"                  },
            {  "regSep1", "Registry Separator should be one character"    },
            {  "required", "required"                                      },
            {  "serverLbl", "Server"                                        },
            {  "server", "server"                                        },
            {  "traceLbl", "Trace"                                         },

            // Get Credentials
            {  "badServerPin",
                "Confirm PIN does not match Mini-Certificate Server PIN"        },
            {  "certServer", "Mini-Certificate Server"                       },
            {  "confirmServerPin", "Must confirm the Mini-Certificate Server PIN"  },
            {  "continue", "Do you wish continue ?"                        },
            {  "credExist", "Credentials already exist for Queue Manager"   },
            {  "credRenamed", "Existing credentials renamed with the prefix"  },
            {  "enterForPort", " entered for Mini-Certificate Server Port"     },
            {  "getCredTitle", "Get Private Registry Credentials"              },
            {  "gotCred", "Private Registry Credentials obtained for"     },
            {  "noServerAddr",
                "Must enter an address for the Mini-Certificate Server"         },
            {  "noServerPin", "Must enter a Mini-Certificate Server PIN"      },
            {  "noServerPort",
                "Must enter a Port number for the Mini-Certificate Server"      },
            {  "notPR", "This is not a Private Registry"                },
            {  "prCertAdaptLbl", "Mini-Certificate Server Adapter"               },
            {  "prCertAddrLbl", "Mini-Certificate Server Address"               },
            {  "prCertPinLbl", "Mini-Certificate Server PIN"                   },
            {  "prCertPortLbl", "Mini-Certificate Server Port Number"           },
        };

    /*----------------------------------------------------------------------------*/
    
    /*                                                                            */
    
    /*----------------------------------------------------------------------------*/
    public Object[][] getContents() {
        return contents;
    }
}

