package examples.midp.exampleapp.messageservice;


/*----------------------------------------------------------------------------*/

/*                    MQSeries Everyplace for Multiplatforms                  */

/*                                                                            */

/* Licensed Materials - Property of IBM                                       */

/*                                                                            */

/* 5765-E63                                                                   */

/*                                                                            */

/* (C) Copyright IBM Corp. 1999                                               */

/*----------------------------------------------------------------------------*/

import javax.microedition.midlet.MIDlet;
import javax.microedition.lcdui.*;
import javax.microedition.midlet.MIDletStateChangeException;


/**
 * This is a simple program designed to clear all record stores available to the
 * MIDlet suite that it is a part of.
 *
 * <p>The main purpose of it is to ensure that all registry details have been removed
 * from a MIDP device, allowing a queue manager to start up cleanly from scratch.
 *
 * <p>To use, simply include it in a MIDlet suite and run it.
 */
public class RMSclear extends MIDlet {


    public static short  version[] = { 2, 0, 0, 5 };  // MQe version

    Display display = null;
    Form hello;

    /*
     * Constructor for RMSclear.
     */
    public RMSclear() {
        super();
    }

    /**
     * See javax.microedition.midlet.MIDlet#startApp for more details.
     */
    public void startApp() throws MIDletStateChangeException {
        display = Display.getDisplay(this);
        hello = new Form("RMS Clear");
        display.setCurrent(hello);
        try {
            String[] qs = javax.microedition.rms.RecordStore.listRecordStores();

            if (qs != null) {
                for (int i = 0; i < qs.length; i++) {
                    System.out.println("Deleting QStore : " + qs[i]);
                    hello.append("Deleting QStore : " + qs[i] + "\n");
                    javax.microedition.rms.RecordStore.deleteRecordStore(qs[i]);
                }
            }
            hello.append("*Finished*");
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * See javax.microedition.midlet.MIDlet#pauseApp for more details.
     */
    public void pauseApp() {}

    /**
     * See javax.microedition.midlet.MIDlet#destroyApp for more details.
     */
    public void destroyApp(boolean arg0) throws MIDletStateChangeException {}
}
