package examples.midp.exampleapp.textapp;



/*----------------------------------------------------------------------------*/

/*                    MQSeries Everyplace for Multiplatforms                  */

/*                                                                            */

/* Licensed Materials - Property of IBM                                       */

/*                                                                            */

/* 5765-E63                                                                   */

/*                                                                            */

/* (C) Copyright IBM Corp. 1999                                               */

/*----------------------------------------------------------------------------*/


import com.ibm.mqe.MQeMsgObject;



/**
 * The gateway server acts as a simple server within the system. In a real life
 * situation, it would likely act as a gateway to an MQ system (hence the name),
 * allowing commnuication between MQ and MQe queue managers.
 *
 * <p>Any messages received are displayed (it isn't expecting anything other than
 * messages from MQe clients).
 */
public class AppModelGatewayServer extends AppModelServer {


    public static short  version[] = { 2, 0, 0, 5 };  // MQe version

    /**
     * @see AppModel#initializeOtherQueues()
     */
    protected void initializeOtherQueues() throws Exception {
        getMsgService().createStoreAndForwardQueue(
            getLocalQMname(),
            getLocalQMname(),
            DEFAULT_HOMESERVER_Q);
    }


    /**
     * @see AppModelServer#processReplyMsg(MQeMsgObject, String, String)
     */
    public void processReplyMsg(MQeMsgObject message, String qMgrName, String qName) {
        processMessage(message);
    }


    /**
     * @see AppModelServer#processRequestMsg(MQeMsgObject, String, String)
     */
    public void processRequestMsg(MQeMsgObject message, String qMgrName, String qName) {
        processMessage(message);
    }
}
