// Version 1.2 mqe_java/source/examples/mqbridge/administration/programming/TcpipUtils.java, MQeExamples, la200, la200-L030324.1

/*------------------------------------------------------------------------------*
 *                    WebSphere MQ Everyplace for Multiplatforms                *
 *                                                                              *
 * Licensed Materials - Property of IBM                                         *
 *                                                                              *
 * 5765-E63                                                                     *
 *                                                                              *
 * (C) Copyright IBM Corp. 2002                                                 *
 *------------------------------------------------------------------------------*/
package examples.mqbridge.administration.programming;


import java.util.*;
import java.net.*;


/**
 * Administration of TCP facilities
 */
public class TcpipUtils {
    public static short[] version = { 2, 0, 0, 5 }; 
    	
    /**
     * Gets the name of the current host.
     * 
     * @return A String, holding the name of the current host, or null
     * string in the event of a failure. (in which case use "localhost")
     * eg: If this machine is running on the ash.hursley.ibm.com machine, then 
     * "ash" is returned.
     */
    public static String getHostName() {
        String result = "localhost";

        try {
            InetAddress myHost = InetAddress.getLocalHost();
            String tempResult = myHost.getHostName();
            // Strip off anything past the first "." if there is one.
            int dotIndex = tempResult.indexOf(".");

            if (dotIndex == -1) {
                // There are no "." chars in the name.
                result = tempResult; 
            } else {
                // There are dot characters in the name.
                result = tempResult.substring(0, dotIndex);
            }
        } catch (UnknownHostException e) {
            // If an exception occurs, default to localhost.
            result = null;
        }
        return result;
    }
}
